phmm_s Struct Reference

Models a single unique <senone-sequence, tmat> pair. More...

`#include <allphone_search.h>`

## Data Fields

hmm_t | hmm
| Base HMM structure.
s3pid_t | pid
| Phone id (temp.
s3cipid_t | ci
| Parent basephone for this PHMM.
bitvec_t * | lc
| Set (bit-vector) of left context phones seen for this PHMM.
bitvec_t * | rc
| Set (bit-vector) of right context phones seen for this PHMM.
struct phmm_s * | next
| Next unique PHMM for same parent basephone.
struct plink_s * | succlist
| List of predecessor PHMM nodes.

## Detailed Description

Models a single unique <senone-sequence, tmat> pair.

Can represent several different triphones, but all with the same parent basephone. (NOTE: Word-position attribute of triphone is ignored.)

Definition at line 60 of file allphone_search.h.

## Field Documentation

## ci

s3cipid_t phmm_s::ci

Parent basephone for this PHMM.

Definition at line 63 of file allphone_search.h.

## hmm

hmm_t phmm_s::hmm

Base HMM structure.

Definition at line 61 of file allphone_search.h.

## lc

bitvec_t* phmm_s::lc

Set (bit-vector) of left context phones seen for this PHMM.

Definition at line 64 of file allphone_search.h.

## next

struct phmm_s* phmm_s::next

Next unique PHMM for same parent basephone.

Definition at line 66 of file allphone_search.h.

## pid

s3pid_t phmm_s::pid

Phone id (temp.

during init.)

Definition at line 62 of file allphone_search.h.

## rc

bitvec_t* phmm_s::rc

Set (bit-vector) of right context phones seen for this PHMM.

Definition at line 65 of file allphone_search.h.

## succlist

struct plink_s* phmm_s::succlist

List of predecessor PHMM nodes.

Definition at line 67 of file allphone_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/allphone_search.h